#include<stdio.h>
#include<string.h>
int main()
{
	char c1, c2, r[100];
	int a1, a2;
	scanf("%c%c", &c1, &c2);
	scanf("%d %d", &a1, &a2);
	if(a1 - a2 == 1 || a2 - a1 == 1 || a1 == a2)
	{
		strncat(r, &c1, a1);
		strncat(r, &c2, a2);
		printf("%s", r);
	}
	else printf("nemoguce");
return 0;
}